#include "dbusbaseclockadaptor.h"

DbusBaseClockAdaptor::DbusBaseClockAdaptor(QObject *parent) : QDBusAbstractAdaptor(parent)
{

}

QString DbusBaseClockAdaptor::formatReturnMsg(neb::CJsonObject oJson, clockInterface::STATUS_CODE status, std::string msg)
{
    oJson.Add("status",status);
    oJson.Add("msg",msg);
    return QString::fromStdString(oJson.ToString());
}

QString DbusBaseClockAdaptor::formatReturnMsg(clockInterface::STATUS_CODE status, std::string msg)
{
    neb::CJsonObject oJson;
    oJson.Add("status",status);
    oJson.Add("msg",msg);
    return QString::fromStdString(oJson.ToString());
}
