#ifndef DBUSBASECLOCKADAPTOR_H
#define DBUSBASECLOCKADAPTOR_H

#include <QObject>
#include <QDBusAbstractAdaptor>
#include "ClockInterface.h"
#include "CJsonObject.hpp"
#include "fieldvalidutil.h"

class DbusBaseClockAdaptor : public QDBusAbstractAdaptor
{
    Q_OBJECT
public:
    explicit DbusBaseClockAdaptor(QObject *parent = nullptr);

signals:
public:
    QString formatReturnMsg(neb::CJsonObject oJson,clockInterface::STATUS_CODE status,std::string msg);
    QString formatReturnMsg(clockInterface::STATUS_CODE status,std::string msg);
};

#endif // DBUSBASECLOCKADAPTOR_H
