#ifndef NOTICEALARMPOOLUTIL_H
#define NOTICEALARMPOOLUTIL_H

#include <QObject>
#include "noticeAlarm.h"

class NoticeAlarmPoolUtil : public QObject
{
    Q_OBJECT
public:
    NoticeAlarmPoolUtil(const NoticeAlarmPoolUtil&)=delete;
    NoticeAlarmPoolUtil& operator=(const NoticeAlarmPoolUtil&)=delete;
    static NoticeAlarmPoolUtil* getInstance(){
        static NoticeAlarmPoolUtil instance;
        return &instance;
    }
    void showAgain(uint id);
    void inseartNoticesMap(uint id,Natice_alarm * notice);
    void deleteNoticesMap(uint id);


signals:
private:
    explicit NoticeAlarmPoolUtil(QObject *parent = nullptr);
    QMap<uint,Natice_alarm *> * noticesMap = nullptr;
};

#endif // NOTICEALARMPOOLUTIL_H
