/*
* Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
*
*/
#ifndef CLOCKDBUSADAPTOR_H
#define CLOCKDBUSADAPTOR_H

#include <QObject>
#include <QDBusAbstractAdaptor>
#include "clock.h"
class ClockDbusAdaptor : public QDBusAbstractAdaptor
{
    Q_OBJECT
    //声明它正在导出哪个接口
    Q_CLASSINFO("D-Bus Interface", CLOCK_DBUS_SERVICE_NAME)
public:
    explicit ClockDbusAdaptor(QObject *parent = nullptr,Clock * currentClock = nullptr);
    ~ClockDbusAdaptor();
signals:
public slots:
    QString addAlarmRpc(QString param);
private:
    Clock * m_clock;
};

#endif // CLOCKDBUSADAPTOR_H
