#include "dbusnoticeshowagainadaptor.h"



DbusNoticeShowAgainAdaptor::DbusNoticeShowAgainAdaptor(QObject *parent, NoticeAlarmPoolUtil *currentNotice): DbusBaseClockAdaptor(parent),
    m_notice(currentNotice)
{

}

QString DbusNoticeShowAgainAdaptor::noticeShowAgain(QString param)
{
    neb::CJsonObject oJson(param.toStdString());
    QString id = QString::fromStdString(oJson["id"].ToString());
    if(FieldValidUtil::isNull(id)){
        return formatReturnMsg(clockInterface::FAIL,"主键id为空");
    }
    id = FieldValidUtil::QStringFilter(id);
    qDebug()<<"dbq-id"<<id;
    m_notice->showAgain(id.toUInt());
    return formatReturnMsg(clockInterface::SUCCESS,"设置稍后提醒成功");
}
