#ifndef DBUSNOTICESHOWAGAINADAPTOR_H
#define DBUSNOTICESHOWAGAINADAPTOR_H

#include <QObject>
#include "dbusbaseclockadaptor.h"
#include "noticealarmpoolutil.h"
#include "ClockInterface.h"
class DbusNoticeShowAgainAdaptor : public DbusBaseClockAdaptor
{
    Q_OBJECT
    //声明它正在导出哪个接口
    Q_CLASSINFO("D-Bus Interface", CLOCK_DBUS_SERVICE_NAME)
public:
    explicit DbusNoticeShowAgainAdaptor(QObject *parent = nullptr,NoticeAlarmPoolUtil * currentNotice = nullptr);

signals:
public slots:
    QString noticeShowAgain(QString param);
private:
    NoticeAlarmPoolUtil * m_notice;

};

#endif // DBUSNOTICESHOWAGAINADAPTOR_H
